/*
 * <copyright>
 *
 * Copyright (c) 2005-2006 Sven Efftinge (http://www.efftinge.de) and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Sven Efftinge (http://www.efftinge.de) - Initial API and implementation
 *
 * </copyright>
 */
package org.openarchitectureware.core.metamodel.jdt;

import org.openarchitectureware.type.Type;
import org.openarchitectureware.type.baseimpl.StaticPropertyImpl;

public class JdtStaticPropertyImpl extends StaticPropertyImpl {
	private Object constant;
	
    public JdtStaticPropertyImpl(final Type owner, final String name, final Type returnType, final Object constant) {
        super(owner, name, returnType);
        this.constant = constant;
    }

    public Object get() {
        return constant;
    }
}