package org.openarchitectureware.graphviz.resource;

import java.io.InputStream;

import org.eclipse.emf.common.util.URI;
import org.openarchitectureware.workflow.util.ResourceLoaderImpl;
import org.openarchitectureware.xtext.parser.IXtextParser;
import org.openarchitectureware.xtext.resource.AbstractXtextResource;

import org.openarchitectureware.graphviz.parser.XtextParser;

public class dotResource extends AbstractXtextResource {
	public dotResource(URI uri) {
		super(uri);
		setFormattingExtension("org::openarchitectureware::graphviz::Formatting");
		setResourceLoader(new ResourceLoaderImpl(XtextParser.class.getClassLoader()));
	}

	@Override
	protected IXtextParser createParser(InputStream inputStream) {
		return new XtextParser(inputStream);
	}

}

