/*
 * <copyright>
 *
 * Copyright (c) 2005-2006 Sven Efftinge (http://www.efftinge.de) and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Sven Efftinge (http://www.efftinge.de) - Initial API and implementation
 *
 * </copyright>
 */
package org.openarchitectureware.core.preferences;

/**
 * Constant definitions for plug-in preferences
 */
public class PreferenceConstants {
	
    public static final String METAMODELCONTRIBUTORS = "metamodelContributor";
    
	/** Key for setting: project specific metamodels are used */
	public static final String PROJECT_SPECIFIC_METAMODEL = "project.specific.metamodel";
}
