/*
 * <copyright>
 *
 * Copyright (c) 2005-2006 Markus Voelter and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Markus Voelter - Initial API and implementation
 *
 * </copyright>
 */
package org.openarchitectureware.eclipse.shared.iface;

/**
 * @author lom
 *
 * This interface contains constants for reading messages.
 *
 */
public interface IMessagesConstants {
	// new project page
	public static final String WIZARD_PROJECT_WINDOW_TITLE = "wizard.project.windowtitle";

	public static final String WIZARD_PROJECT_TITLE = "wizard.project.title";

	public static final String WIZARD_PROJECT_DESCRIPTION = "wizard.project.description";

	// Meta project page
	public static final String WIZARD_METAPROJECT_TITLE = "wizard.metaproject.metatitle";

	public static final String WIZARD_METAPROJECT_DESCRIPTION =
		"wizard.metaproject.metadescription";

	public static final String WIZARD_METAPROJECT_LABEL_PROJECTPATH =
		"wizard.metaproject.label.projectpath";

	public static final String WIZARD_METAPROJECT_LABEL_SUBFOLDER =
		"wizard.metaproject.label.subfolder";

	public static final String WIZARD_METAPROJECT_LABEL_USEDEFAULTTEMPLATE =
		"wizard.metaproject.label.usedefaulttemplate";

	public static final String WIZARD_METAPROJECT_LABEL_TEMPLATE =
		"wizard.metaproject.label.template";

	public static final String WIZARD_METAPROJECT_LABEL_METAMODEL =
		"wizard.metaproject.label.metamodel";

	public static final String WIZARD_METAPROJECT_LABEL_USEDEFAULTMETACORE =
		"wizard.metaproject.label.usedefaultmetacore";

	public static final String WIZARD_METAPROJECT_LABEL_LOCATIONGENFW =
		"wizard.metaproject.label.locationgenfw";

	public static final String WIZARD_METAPROJECT_LABEL_LOCATIONMETACORE =
		"wizard.metaproject.label.locationmetacore";

	// Java project page
	public static final String WIZARD_JAVAPROJECT_TITLE = "wizard.project.javatitle";

	public static final String WIZARD_JAVAPROJECT_DESCRIPTION = "wizard.project.javadescription";

	public static final String WIZARD_PROJECT_IMAGE = "wizard.project.image";

	public static final String WIZARD_PROJECT_BROWSE = "wizard.project.browse";

	public static final String PREFERENCES_XPANDEDITOR_LABEL_TABCOLOR =
		"preferences.xpandeditor.label.tabcolor";

	public static final String PREFERENCES_XPANDEDITOR_LABEL_DESCRIPTION =
		"preferences.xpandeditor.label.description";

	public static final String PREFERENCES_XPANDEDITOR_LABEL_TABINDENTATION =
		"preferences.xpandeditor.label.tabindent";

	public static final String ERROR_FILE_NOT_EXISTS_LABEL = "error.filenotexists.label";

	public static final String STATUS_INFO_METACLASSS_USECLASS = "status.metaclass.useclass";

	public static final String STATUS_INFO_METACLASSS_NOTFOUND = "status.metaclass.notfound";

	public static final String STATUS_INFO_METACLASSS_PROPERTY_NOTFOUND =
		"status.metaclass.property.notfound";

	public static final String STATUS_INFO_METACLASSS_EXCEPTION = "status.metaclass.exception";

	public static final String ACTION_GENERATE_EXEC_COMMAND = "action.generate.exec.command";

	public static final String ACTION_GENERATE_BUTTON_TEXT = "action.generate.button.text";

	public static final String ACTION_GENERATE_BUTTON_TOOLTIP = "action.generate.button.tooltip";

	public static final String CONTENTOUTLINE_IMAGE = "contentoutline.image";
}
