/*
 * <copyright>
 *
 * Copyright (c) 2005-2006 Sven Efftinge (http://www.efftinge.de) and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Sven Efftinge (http://www.efftinge.de) - Initial API and implementation
 *
 * </copyright>
 */
package org.openarchitectureware.expression;

public interface ResourceManager {

    public abstract Resource loadResource(String fullyQualifiedName, String extension);

    public abstract void setFileEncoding(String fileEncoding);

    public abstract void registerParser(String template_extension, ResourceParser parser);
}
